Devuan bug report logs - #494
lightdm: please add user lightdm to the audio group

version graph

Package: lightdm; Maintainer for lightdm is Ben Stack <bgstack15@gmail.com>;

Reported by: Gregory Nowak <greg@gregn.net>

Date: Wed, 22 Jul 2020 05:03:01 UTC

Severity: normal

Found in version 1.26.0-4

Fixed in version 1.26.0-7+devuan2

Done: dak@devuan.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Ben Stack <bgstack15@gmail.com>:
bug#494; Package lightdm. (Wed, 22 Jul 2020 05:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Gregory Nowak <greg@gregn.net>:
New bug report received and forwarded. Copy sent to Ben Stack <bgstack15@gmail.com>. (Wed, 22 Jul 2020 05:03:08 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Gregory Nowak <greg@gregn.net>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: lightdm: please add user lightdm to the audio group
Date: Tue, 21 Jul 2020 21:40:17 -0700
Package: lightdm
Version: 1.26.0-4
Severity: normal
Tags: a11y

Dear Maintainer,

Please add the lightdm user to the audio group.
This is necessary so that the orca screen reader
can provide speech output at the 
lightdm-gtk-greeter login screen.
As far as I know, this is only needed when using the
orca screen reader at the login screen.
A possible side effect of adding lightdm
to the audio group may lead users who do not use
orca to question why lightdm is added to the audio
group on their systems. Perhaps this should be done only if
/etc/xdg/lightdm/lightdm.conf.d/80_orca-dm-wrapper.conf already exists?
I am assuming it doesn't exist on a system which wasn't
installed with accessibility, but I don't know that for sure.
Thank you.


-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-9-amd64 (SMP w/16 CPU cores)
Kernel taint flags: TAINT_CRAP
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages lightdm depends on:
ii  adduser                                3.118
ii  dbus                                   1.12.16-1+devuan2
ii  debconf [debconf-2.0]                  1.5.71
ii  libaudit1                              1:2.8.4-3
ii  libc6                                  2.28-10
ii  libgcrypt20                            1.8.4-5
ii  libglib2.0-0                           2.58.3-2+deb10u2
ii  libpam-elogind [logind]                241.4-2
ii  libpam0g                               1.3.1-5
ii  libxcb1                                1.13.1-2
ii  libxdmcp6                              1:1.1.2-3
ii  lightdm-gtk-greeter [lightdm-greeter]  2.0.6-1
ii  lsb-base                               10.2019051400

Versions of packages lightdm recommends:
ii  xserver-xorg  1:7.7+19

Versions of packages lightdm suggests:
ii  accountsservice  0.6.45-2
ii  upower           0.99.10-1
pn  xserver-xephyr   <none>

-- Configuration Files:
/etc/lightdm/lightdm.conf changed [not included]

-- debconf information excluded

Information forwarded to devuan-bugs@lists.dyne.org, Ben Stack <bgstack15@gmail.com>:
bug#494; Package lightdm. (Wed, 22 Jul 2020 13:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to B Stack <bgstack15@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ben Stack <bgstack15@gmail.com>. (Wed, 22 Jul 2020 13:03:04 GMT) (full text, mbox, link).


Message #10 received at 494@bugs.devuan.org (full text, mbox, reply):

From: B Stack <bgstack15@gmail.com>
To: Gregory Nowak <greg@gregn.net>, 494@bugs.devuan.org
Subject: Re: bug#494: lightdm: please add user lightdm to the audio group
Date: Wed, 22 Jul 2020 08:39:03 -0400
[Message part 1 (text/plain, inline)]
Greg,

Thank you for this report! Adding lightdm to the audio group across the
board sounds harmless, so that will be the plan going forward. Changes to
this package will of course start in Unstable (Ceres) and have to be
backported to Beowulf. Please keep an eye on this bug for updates.

B. Stack

On Wed, Jul 22, 2020 at 1:01 AM Gregory Nowak <greg@gregn.net> wrote:

> Package: lightdm
> Version: 1.26.0-4
> Severity: normal
> Tags: a11y
>
> Dear Maintainer,
>
> Please add the lightdm user to the audio group.
> This is necessary so that the orca screen reader
> can provide speech output at the
> lightdm-gtk-greeter login screen.
> As far as I know, this is only needed when using the
> orca screen reader at the login screen.
> A possible side effect of adding lightdm
> to the audio group may lead users who do not use
> orca to question why lightdm is added to the audio
> group on their systems. Perhaps this should be done only if
> /etc/xdg/lightdm/lightdm.conf.d/80_orca-dm-wrapper.conf already exists?
> I am assuming it doesn't exist on a system which wasn't
> installed with accessibility, but I don't know that for sure.
> Thank you.
>
>
> -- System Information:
> Distributor ID: Debian
> Description:    Devuan GNU/Linux 3 (beowulf)
> Release:        3
> Codename:       beowulf
> Architecture: x86_64
>
> Kernel: Linux 4.19.0-9-amd64 (SMP w/16 CPU cores)
> Kernel taint flags: TAINT_CRAP
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8),
> LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> Init: sysvinit (via /sbin/init)
> LSM: AppArmor: enabled
>
> Versions of packages lightdm depends on:
> ii  adduser                                3.118
> ii  dbus                                   1.12.16-1+devuan2
> ii  debconf [debconf-2.0]                  1.5.71
> ii  libaudit1                              1:2.8.4-3
> ii  libc6                                  2.28-10
> ii  libgcrypt20                            1.8.4-5
> ii  libglib2.0-0                           2.58.3-2+deb10u2
> ii  libpam-elogind [logind]                241.4-2
> ii  libpam0g                               1.3.1-5
> ii  libxcb1                                1.13.1-2
> ii  libxdmcp6                              1:1.1.2-3
> ii  lightdm-gtk-greeter [lightdm-greeter]  2.0.6-1
> ii  lsb-base                               10.2019051400
>
> Versions of packages lightdm recommends:
> ii  xserver-xorg  1:7.7+19
>
> Versions of packages lightdm suggests:
> ii  accountsservice  0.6.45-2
> ii  upower           0.99.10-1
> pn  xserver-xephyr   <none>
>
> -- Configuration Files:
> /etc/lightdm/lightdm.conf changed [not included]
>
> -- debconf information excluded
>
[Message part 2 (text/html, inline)]

Reply sent to dak@devuan.org:
You have taken responsibility. (Sat, 02 Jan 2021 03:18:02 GMT) (full text, mbox, link).


Notification sent to Gregory Nowak <greg@gregn.net>:
bug acknowledged by developer. (Sat, 02 Jan 2021 03:18:05 GMT) (full text, mbox, link).


Message #15 received at 494-done@bugs.devuan.org (full text, mbox, reply):

From: dak@devuan.org
To: 494-done@bugs.devuan.org
Subject: #494: fixed in src:lightdm version 1.26.0-7+devuan2
Date: Sat, 02 Jan 2021 02:11:33 +0000
Version: 1.26.0-7+devuan2

Source package lightdm (1.26.0-7+devuan2) added to Devuan suite unstable.

This closes bug report 494.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 22 Jul 2020 09:24:18 -0400
Source: lightdm
Architecture: source
Version: 1.26.0-7+devuan2
Distribution: unstable
Urgency: medium
Maintainer: Ben Stack <bgstack15@gmail.com>
Changed-By: Ben Stack <bgstack15@gmail.com>
Closes: 494
Changes:
 lightdm (1.26.0-7+devuan2) unstable; urgency=medium
 .
   * add user lightdm to group audio (Closes: #494)
Checksums-Sha1:
 f678fe2a9e012b386b27af73eee12c126aeba0a7 2208 lightdm_1.26.0-7+devuan2.dsc
 30e2bee75510a9b7c5859b7264d380bd67cb1a3c 38640 lightdm_1.26.0-7+devuan2.debian.tar.xz
 1b4793ceea52acec3ae8a917bcbb813d81f8b870 5267 lightdm_1.26.0-7+devuan2_source.buildinfo
Checksums-Sha256:
 e3050edf31685561e072a136836d99271d667115a5365b0c1afa49ff75086a69 2208 lightdm_1.26.0-7+devuan2.dsc
 e87473e87e99cf25ee303f5ab5ffc2cad97e02caabe8c3312a51bc4fd59ab19a 38640 lightdm_1.26.0-7+devuan2.debian.tar.xz
 16aed431dd27c65a46e4e33842ffe188b105e25199151d28cdf3d6d1ca9f8ab1 5267 lightdm_1.26.0-7+devuan2_source.buildinfo
Files:
 e7d82c4d06dce9cfec768937eba64332 2208 x11 optional lightdm_1.26.0-7+devuan2.dsc
 107b02463b31f77921cb8ca83efc07dd 38640 x11 optional lightdm_1.26.0-7+devuan2.debian.tar.xz
 33d30fa08490175c1e2226548836c6e0 5267 x11 optional lightdm_1.26.0-7+devuan2_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAl/v1GgACgkQlFMhJFQZ
Ivu6/Qf6A9ak/fZpkQ+o58Mfmr1Rw13/qf6cyv9QveraW059Y8nbO2nUNHceFM6u
Ufah1zLh8s8PC7dH4nPYNCpRJdn3Mr4GP1hMjlUMCF8+7rx61/62SrxcUep017oV
DQftOOA0yGDwcN/ID016xdZZrid9dns1VcebLOOpVu3AE/RSxD/Ddf8WOfVFKXZJ
SgV52/R07DRVPQeOUDYh1DFqz29hZnSLyl6z2eqsIii4GFAflVonrPKOYrUuUcnW
IlNXgHZEP/YVzyJNzQG8lFQbPDF28iY8K0BIPRevNl25ALFFV99sSZ2OcN/vpXdK
Eb+FGoq9jGDgoKDYqdlosvi/SNJR6Q==
=33cN
-----END PGP SIGNATURE-----

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sat May 8 08:11:50 2021;